package org.wso2.carbon.device.mgt.ios.api.utils.beans.wrapper;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.wso2.carbon.device.mgt.ios.payload.beans.AppLock;

import java.util.List;

@ApiModel(value = "AppLockBeanWrapper",
        description = "This class represents the information of AppLock.")
public class AppLockBeanWrapper {

    @ApiModelProperty(name = "deviceIDs", value = "List of device Ids to be execute Applock.", required = true)
    private List<String> deviceIDs;
    @ApiModelProperty(name = "operation", value = "AppLoack.", required = true)
    private AppLock operation;

    public List<String> getDeviceIDs() {
        return deviceIDs;
    }

    public void setDeviceIDs(List<String> deviceIDs) {
        this.deviceIDs = deviceIDs;
    }

    public AppLock getOperation() {
        return operation;
    }

    public void setOperation(AppLock operation) {
        this.operation = operation;
    }
}
